% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/summary.R
\name{summary.cve}
\alias{summary.cve}
\title{Prints a summary of a \code{cve} result.}
\usage{
\method{summary}{cve}(object, ...)
}
\arguments{
\item{object}{Instance of 'cve' as returned by \code{cve}.}

\item{...}{ignored.}
}
\description{
Prints a summary of a \code{cve} result.
}
\examples{
# create B for simulation
B <- rep(1, 5) / sqrt(5)

set.seed(21)
#creat predictor data x ~ N(0, I_p)
x <- matrix(rnorm(500), 100)

# simulate response variable
#    y = f(B'x) + err
# with f(x1) = x1 and err ~ N(0, 0.25^2)
y <- x \%*\% B + 0.25 * rnorm(100)

# calculate cve for unknown k between min.dim and max.dim.
cve.obj.simple <- cve(y ~ x)

summary(cve.obj.simple)

}
